Update a commission rule
curl --request PATCH \
--url https://api.journeybee.io/v1/commissions/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"tier_uuids": [
"<string>"
],
"category_uuids": [
"<string>"
],
"partnership_uuids": [
"<string>"
]
}
'import requests
url = "https://api.journeybee.io/v1/commissions/{uuid}"
payload = {
"label": "<string>",
"tier_uuids": ["<string>"],
"category_uuids": ["<string>"],
"partnership_uuids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
tier_uuids: ['<string>'],
category_uuids: ['<string>'],
partnership_uuids: ['<string>']
})
};
fetch('https://api.journeybee.io/v1/commissions/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/commissions/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'tier_uuids' => [
'<string>'
],
'category_uuids' => [
'<string>'
],
'partnership_uuids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/commissions/{uuid}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"tier_uuids\": [\n \"<string>\"\n ],\n \"category_uuids\": [\n \"<string>\"\n ],\n \"partnership_uuids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.journeybee.io/v1/commissions/{uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"tier_uuids\": [\n \"<string>\"\n ],\n \"category_uuids\": [\n \"<string>\"\n ],\n \"partnership_uuids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/commissions/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"tier_uuids\": [\n \"<string>\"\n ],\n \"category_uuids\": [\n \"<string>\"\n ],\n \"partnership_uuids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"label": "<string>",
"partner_type": "referral",
"payment_target": "partnership",
"auto_assign_recipient": "lead_creator",
"calculation": {
"entries": [
{
"payment_stage_id": 123,
"calculation": {
"type": "oneOff",
"option": "fixed",
"value": "<string>",
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
},
"recurring_period": "weekly",
"number_of_occurrences": 123,
"periodRates": {
"enabled": true,
"periods": [
{
"periodNumber": 123,
"startOccurrence": 123,
"endOccurrence": 123,
"option": "fixed",
"value": 123,
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
}
}
]
},
"split": {
"oneOff": {
"type": "oneOff",
"option": "fixed",
"value": "<string>",
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
},
"recurring_period": "weekly",
"number_of_occurrences": 123,
"periodRates": {
"enabled": true,
"periods": [
{
"periodNumber": 123,
"startOccurrence": 123,
"endOccurrence": 123,
"option": "fixed",
"value": 123,
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
}
}
]
}
},
"recurring": {
"type": "oneOff",
"option": "fixed",
"value": "<string>",
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
},
"recurring_period": "weekly",
"number_of_occurrences": 123,
"periodRates": {
"enabled": true,
"periods": [
{
"periodNumber": 123,
"startOccurrence": 123,
"endOccurrence": 123,
"option": "fixed",
"value": 123,
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
}
}
]
}
}
}
}
}
]
},
"tiers": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"categories": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"partnerships": [
{
"uuid": "<string>",
"name": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}Commissions
Update a commission rule
Update commission rule properties or calculation entries. When tier_uuids, category_uuids, or partnership_uuids are provided, they replace the current assignments entirely (not merge). Omit these fields to leave assignments unchanged. See POST /v1/commissions for the full calculation schema documentation.
PATCH
/
commissions
/
{uuid}
Update a commission rule
curl --request PATCH \
--url https://api.journeybee.io/v1/commissions/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"tier_uuids": [
"<string>"
],
"category_uuids": [
"<string>"
],
"partnership_uuids": [
"<string>"
]
}
'import requests
url = "https://api.journeybee.io/v1/commissions/{uuid}"
payload = {
"label": "<string>",
"tier_uuids": ["<string>"],
"category_uuids": ["<string>"],
"partnership_uuids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
tier_uuids: ['<string>'],
category_uuids: ['<string>'],
partnership_uuids: ['<string>']
})
};
fetch('https://api.journeybee.io/v1/commissions/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/commissions/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'tier_uuids' => [
'<string>'
],
'category_uuids' => [
'<string>'
],
'partnership_uuids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/commissions/{uuid}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"tier_uuids\": [\n \"<string>\"\n ],\n \"category_uuids\": [\n \"<string>\"\n ],\n \"partnership_uuids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.journeybee.io/v1/commissions/{uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"tier_uuids\": [\n \"<string>\"\n ],\n \"category_uuids\": [\n \"<string>\"\n ],\n \"partnership_uuids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/commissions/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"tier_uuids\": [\n \"<string>\"\n ],\n \"category_uuids\": [\n \"<string>\"\n ],\n \"partnership_uuids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"label": "<string>",
"partner_type": "referral",
"payment_target": "partnership",
"auto_assign_recipient": "lead_creator",
"calculation": {
"entries": [
{
"payment_stage_id": 123,
"calculation": {
"type": "oneOff",
"option": "fixed",
"value": "<string>",
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
},
"recurring_period": "weekly",
"number_of_occurrences": 123,
"periodRates": {
"enabled": true,
"periods": [
{
"periodNumber": 123,
"startOccurrence": 123,
"endOccurrence": 123,
"option": "fixed",
"value": 123,
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
}
}
]
},
"split": {
"oneOff": {
"type": "oneOff",
"option": "fixed",
"value": "<string>",
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
},
"recurring_period": "weekly",
"number_of_occurrences": 123,
"periodRates": {
"enabled": true,
"periods": [
{
"periodNumber": 123,
"startOccurrence": 123,
"endOccurrence": 123,
"option": "fixed",
"value": 123,
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
}
}
]
}
},
"recurring": {
"type": "oneOff",
"option": "fixed",
"value": "<string>",
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
},
"recurring_period": "weekly",
"number_of_occurrences": 123,
"periodRates": {
"enabled": true,
"periods": [
{
"periodNumber": 123,
"startOccurrence": 123,
"endOccurrence": 123,
"option": "fixed",
"value": 123,
"scalingConfig": {
"customFieldId": 123,
"tiers": [
{
"optionId": 123,
"option": "fixed",
"value": 123
}
]
}
}
]
}
}
}
}
}
]
},
"tiers": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"categories": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"partnerships": [
{
"uuid": "<string>",
"name": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
Default Response